// @SOURCE:/home/javastream.de/jenkins/jobs/de.consolving.dyndns/workspace/conf/routes
// @HASH:20d911bb54113cf699b47adb9137ca4540e95bdc
// @DATE:Fri Nov 24 23:34:16 CET 2017

import Routes.{prefix => _prefix, defaultPrefix => _defaultPrefix}
import play.core._
import play.core.Router._
import play.core.Router.HandlerInvokerFactory._
import play.core.j._

import play.api.mvc._
import _root_.controllers.Assets.Asset
import _root_.play.libs.F

import Router.queryString


// @LINE:36
// @LINE:33
// @LINE:31
// @LINE:30
// @LINE:29
// @LINE:28
// @LINE:27
// @LINE:26
// @LINE:25
// @LINE:24
// @LINE:23
// @LINE:22
// @LINE:21
// @LINE:20
// @LINE:19
// @LINE:18
// @LINE:17
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:10
// @LINE:9
// @LINE:8
// @LINE:7
// @LINE:6
package controllers {

// @LINE:36
class ReverseAssets {


// @LINE:36
def versioned(file:Asset): Call = {
   implicit val _rrc = new ReverseRouteContext(Map(("path", "/public")))
   Call("GET", _prefix + { _defaultPrefix } + "assets/" + implicitly[PathBindable[Asset]].unbind("file", file))
}
                        

}
                          

// @LINE:33
class ReverseMetrics {


// @LINE:33
def metrics(): Call = {
   import ReverseRouteContext.empty
   Call("GET", _prefix + { _defaultPrefix } + "metrics")
}
                        

}
                          

// @LINE:25
// @LINE:24
class ReverseAdminIps {


// @LINE:25
def show(ip:String): Call = {
   import ReverseRouteContext.empty
   Call("GET", _prefix + { _defaultPrefix } + "admin/ips/" + implicitly[PathBindable[String]].unbind("ip", dynamicString(ip)))
}
                        

// @LINE:24
def index(): Call = {
   import ReverseRouteContext.empty
   Call("GET", _prefix + { _defaultPrefix } + "admin/ips")
}
                        

}
                          

// @LINE:31
// @LINE:30
// @LINE:29
// @LINE:28
// @LINE:27
class ReverseAdminDynDNS {


// @LINE:31
def delete(id:Long): Call = {
   import ReverseRouteContext.empty
   Call("POST", _prefix + { _defaultPrefix } + "admin/dyndns/" + implicitly[PathBindable[Long]].unbind("id", id) + "/delete")
}
                        

// @LINE:30
def resetApiKey(id:Long): Call = {
   import ReverseRouteContext.empty
   Call("POST", _prefix + { _defaultPrefix } + "admin/dyndns/" + implicitly[PathBindable[Long]].unbind("id", id) + "/apiKey")
}
                        

// @LINE:29
def update(id:Long): Call = {
   import ReverseRouteContext.empty
   Call("POST", _prefix + { _defaultPrefix } + "admin/dyndns/" + implicitly[PathBindable[Long]].unbind("id", id))
}
                        

// @LINE:27
def startJob(jobName:String): Call = {
   import ReverseRouteContext.empty
   Call("POST", _prefix + { _defaultPrefix } + "admin/jobs/" + implicitly[PathBindable[String]].unbind("jobName", dynamicString(jobName)) + "/start")
}
                        

// @LINE:28
def index(): Call = {
   import ReverseRouteContext.empty
   Call("GET", _prefix + { _defaultPrefix } + "admin/dyndns")
}
                        

}
                          

// @LINE:6
class ReverseApplication {


// @LINE:6
def index(): Call = {
   import ReverseRouteContext.empty
   Call("GET", _prefix)
}
                        

}
                          

// @LINE:26
class ReverseAdminAccounts {


// @LINE:26
def index(): Call = {
   import ReverseRouteContext.empty
   Call("GET", _prefix + { _defaultPrefix } + "admin/accounts")
}
                        

}
                          

// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
class ReverseDnsUpdate {


// @LINE:12
// @LINE:11
def update(k:String): Call = {
   (k: @unchecked) match {
// @LINE:11
case (k)  =>
  import ReverseRouteContext.empty
  Call("GET", _prefix + { _defaultPrefix } + "update/" + implicitly[PathBindable[String]].unbind("k", dynamicString(k)))
                                         
   }
}
                                                

// @LINE:14
// @LINE:13
def updateIp(k:String, ip:String): Call = {
   (k: @unchecked, ip: @unchecked) match {
// @LINE:13
case (k, ip)  =>
  import ReverseRouteContext.empty
  Call("GET", _prefix + { _defaultPrefix } + "update/" + implicitly[PathBindable[String]].unbind("k", dynamicString(k)) + queryString(List(Some(implicitly[QueryStringBindable[String]].unbind("ip", ip)))))
                                         
   }
}
                                                

}
                          

// @LINE:19
// @LINE:18
// @LINE:17
class ReverseAdminResourceRecords {


// @LINE:19
def save(name:String): Call = {
   import ReverseRouteContext.empty
   Call("POST", _prefix + { _defaultPrefix } + "admin/domains/" + implicitly[PathBindable[String]].unbind("name", dynamicString(name)) + "/rrs")
}
                        

// @LINE:18
def delete(name:String, id:Long): Call = {
   import ReverseRouteContext.empty
   Call("POST", _prefix + { _defaultPrefix } + "admin/domains/" + implicitly[PathBindable[String]].unbind("name", dynamicString(name)) + "/rrs/" + implicitly[PathBindable[Long]].unbind("id", id) + "/delete")
}
                        

// @LINE:17
def edit(name:String, id:Long): Call = {
   import ReverseRouteContext.empty
   Call("GET", _prefix + { _defaultPrefix } + "admin/domains/" + implicitly[PathBindable[String]].unbind("name", dynamicString(name)) + "/rrs/" + implicitly[PathBindable[Long]].unbind("id", id) + "/edit")
}
                        

}
                          

// @LINE:10
// @LINE:9
// @LINE:8
// @LINE:7
class ReverseDynDns {


// @LINE:8
def hosts(): Call = {
   import ReverseRouteContext.empty
   Call("GET", _prefix + { _defaultPrefix } + "dyndns/hosts")
}
                        

// @LINE:10
def save(): Call = {
   import ReverseRouteContext.empty
   Call("POST", _prefix + { _defaultPrefix } + "dyndns")
}
                        

// @LINE:9
def delete(id:Long): Call = {
   import ReverseRouteContext.empty
   Call("POST", _prefix + { _defaultPrefix } + "dyndns/" + implicitly[PathBindable[Long]].unbind("id", id) + "/delete")
}
                        

// @LINE:7
def index(): Call = {
   import ReverseRouteContext.empty
   Call("GET", _prefix + { _defaultPrefix } + "dyndns")
}
                        

}
                          

// @LINE:23
// @LINE:22
// @LINE:21
// @LINE:20
class ReverseAdminDomains {


// @LINE:22
def show(name:String): Call = {
   import ReverseRouteContext.empty
   Call("GET", _prefix + { _defaultPrefix } + "admin/domains/" + implicitly[PathBindable[String]].unbind("name", dynamicString(name)))
}
                        

// @LINE:21
def save(): Call = {
   import ReverseRouteContext.empty
   Call("POST", _prefix + { _defaultPrefix } + "admin/domains")
}
                        

// @LINE:20
def index(): Call = {
   import ReverseRouteContext.empty
   Call("GET", _prefix + { _defaultPrefix } + "admin/domains")
}
                        

// @LINE:23
def inquire(name:String): Call = {
   import ReverseRouteContext.empty
   Call("POST", _prefix + { _defaultPrefix } + "admin/domains/" + implicitly[PathBindable[String]].unbind("name", dynamicString(name)) + "/inquire")
}
                        

}
                          
}
                  


// @LINE:36
// @LINE:33
// @LINE:31
// @LINE:30
// @LINE:29
// @LINE:28
// @LINE:27
// @LINE:26
// @LINE:25
// @LINE:24
// @LINE:23
// @LINE:22
// @LINE:21
// @LINE:20
// @LINE:19
// @LINE:18
// @LINE:17
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:10
// @LINE:9
// @LINE:8
// @LINE:7
// @LINE:6
package controllers.javascript {
import ReverseRouteContext.empty

// @LINE:36
class ReverseAssets {


// @LINE:36
def versioned : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.Assets.versioned",
   """
      function(file) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "assets/" + (""" + implicitly[PathBindable[Asset]].javascriptUnbind + """)("file", file)})
      }
   """
)
                        

}
              

// @LINE:33
class ReverseMetrics {


// @LINE:33
def metrics : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.Metrics.metrics",
   """
      function() {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "metrics"})
      }
   """
)
                        

}
              

// @LINE:25
// @LINE:24
class ReverseAdminIps {


// @LINE:25
def show : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.AdminIps.show",
   """
      function(ip) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "admin/ips/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("ip", encodeURIComponent(ip))})
      }
   """
)
                        

// @LINE:24
def index : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.AdminIps.index",
   """
      function() {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "admin/ips"})
      }
   """
)
                        

}
              

// @LINE:31
// @LINE:30
// @LINE:29
// @LINE:28
// @LINE:27
class ReverseAdminDynDNS {


// @LINE:31
def delete : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.AdminDynDNS.delete",
   """
      function(id) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "admin/dyndns/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("id", id) + "/delete"})
      }
   """
)
                        

// @LINE:30
def resetApiKey : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.AdminDynDNS.resetApiKey",
   """
      function(id) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "admin/dyndns/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("id", id) + "/apiKey"})
      }
   """
)
                        

// @LINE:29
def update : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.AdminDynDNS.update",
   """
      function(id) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "admin/dyndns/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("id", id)})
      }
   """
)
                        

// @LINE:27
def startJob : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.AdminDynDNS.startJob",
   """
      function(jobName) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "admin/jobs/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("jobName", encodeURIComponent(jobName)) + "/start"})
      }
   """
)
                        

// @LINE:28
def index : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.AdminDynDNS.index",
   """
      function() {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "admin/dyndns"})
      }
   """
)
                        

}
              

// @LINE:6
class ReverseApplication {


// @LINE:6
def index : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.Application.index",
   """
      function() {
      return _wA({method:"GET", url:"""" + _prefix + """"})
      }
   """
)
                        

}
              

// @LINE:26
class ReverseAdminAccounts {


// @LINE:26
def index : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.AdminAccounts.index",
   """
      function() {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "admin/accounts"})
      }
   """
)
                        

}
              

// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
class ReverseDnsUpdate {


// @LINE:12
// @LINE:11
def update : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.DnsUpdate.update",
   """
      function(k) {
      if (true) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "update/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("k", encodeURIComponent(k))})
      }
      if (true) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "update/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("k", encodeURIComponent(k))})
      }
      }
   """
)
                        

// @LINE:14
// @LINE:13
def updateIp : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.DnsUpdate.updateIp",
   """
      function(k, ip) {
      if (true) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "update/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("k", encodeURIComponent(k)) + _qS([(""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("ip", ip)])})
      }
      if (true) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "update/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("k", encodeURIComponent(k)) + _qS([(""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("ip", ip)])})
      }
      }
   """
)
                        

}
              

// @LINE:19
// @LINE:18
// @LINE:17
class ReverseAdminResourceRecords {


// @LINE:19
def save : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.AdminResourceRecords.save",
   """
      function(name) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "admin/domains/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("name", encodeURIComponent(name)) + "/rrs"})
      }
   """
)
                        

// @LINE:18
def delete : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.AdminResourceRecords.delete",
   """
      function(name,id) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "admin/domains/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("name", encodeURIComponent(name)) + "/rrs/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("id", id) + "/delete"})
      }
   """
)
                        

// @LINE:17
def edit : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.AdminResourceRecords.edit",
   """
      function(name,id) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "admin/domains/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("name", encodeURIComponent(name)) + "/rrs/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("id", id) + "/edit"})
      }
   """
)
                        

}
              

// @LINE:10
// @LINE:9
// @LINE:8
// @LINE:7
class ReverseDynDns {


// @LINE:8
def hosts : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.DynDns.hosts",
   """
      function() {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "dyndns/hosts"})
      }
   """
)
                        

// @LINE:10
def save : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.DynDns.save",
   """
      function() {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "dyndns"})
      }
   """
)
                        

// @LINE:9
def delete : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.DynDns.delete",
   """
      function(id) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "dyndns/" + (""" + implicitly[PathBindable[Long]].javascriptUnbind + """)("id", id) + "/delete"})
      }
   """
)
                        

// @LINE:7
def index : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.DynDns.index",
   """
      function() {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "dyndns"})
      }
   """
)
                        

}
              

// @LINE:23
// @LINE:22
// @LINE:21
// @LINE:20
class ReverseAdminDomains {


// @LINE:22
def show : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.AdminDomains.show",
   """
      function(name) {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "admin/domains/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("name", encodeURIComponent(name))})
      }
   """
)
                        

// @LINE:21
def save : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.AdminDomains.save",
   """
      function() {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "admin/domains"})
      }
   """
)
                        

// @LINE:20
def index : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.AdminDomains.index",
   """
      function() {
      return _wA({method:"GET", url:"""" + _prefix + { _defaultPrefix } + """" + "admin/domains"})
      }
   """
)
                        

// @LINE:23
def inquire : JavascriptReverseRoute = JavascriptReverseRoute(
   "controllers.AdminDomains.inquire",
   """
      function(name) {
      return _wA({method:"POST", url:"""" + _prefix + { _defaultPrefix } + """" + "admin/domains/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("name", encodeURIComponent(name)) + "/inquire"})
      }
   """
)
                        

}
              
}
        


// @LINE:36
// @LINE:33
// @LINE:31
// @LINE:30
// @LINE:29
// @LINE:28
// @LINE:27
// @LINE:26
// @LINE:25
// @LINE:24
// @LINE:23
// @LINE:22
// @LINE:21
// @LINE:20
// @LINE:19
// @LINE:18
// @LINE:17
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:10
// @LINE:9
// @LINE:8
// @LINE:7
// @LINE:6
package controllers.ref {


// @LINE:36
class ReverseAssets {


// @LINE:36
def versioned(path:String, file:Asset): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.Assets.versioned(path, file), HandlerDef(this.getClass.getClassLoader, "", "controllers.Assets", "versioned", Seq(classOf[String], classOf[Asset]), "GET", """ Map static resources from the /public folder to the /assets URL path""", _prefix + """assets/$file<.+>""")
)
                      

}
                          

// @LINE:33
class ReverseMetrics {


// @LINE:33
def metrics(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.Metrics.metrics(), HandlerDef(this.getClass.getClassLoader, "", "controllers.Metrics", "metrics", Seq(), "GET", """""", _prefix + """metrics""")
)
                      

}
                          

// @LINE:25
// @LINE:24
class ReverseAdminIps {


// @LINE:25
def show(ip:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.AdminIps.show(ip), HandlerDef(this.getClass.getClassLoader, "", "controllers.AdminIps", "show", Seq(classOf[String]), "GET", """""", _prefix + """admin/ips/$ip<[^/]+>""")
)
                      

// @LINE:24
def index(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.AdminIps.index(), HandlerDef(this.getClass.getClassLoader, "", "controllers.AdminIps", "index", Seq(), "GET", """""", _prefix + """admin/ips""")
)
                      

}
                          

// @LINE:31
// @LINE:30
// @LINE:29
// @LINE:28
// @LINE:27
class ReverseAdminDynDNS {


// @LINE:31
def delete(id:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.AdminDynDNS.delete(id), HandlerDef(this.getClass.getClassLoader, "", "controllers.AdminDynDNS", "delete", Seq(classOf[Long]), "POST", """""", _prefix + """admin/dyndns/$id<[^/]+>/delete""")
)
                      

// @LINE:30
def resetApiKey(id:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.AdminDynDNS.resetApiKey(id), HandlerDef(this.getClass.getClassLoader, "", "controllers.AdminDynDNS", "resetApiKey", Seq(classOf[Long]), "POST", """""", _prefix + """admin/dyndns/$id<[^/]+>/apiKey""")
)
                      

// @LINE:29
def update(id:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.AdminDynDNS.update(id), HandlerDef(this.getClass.getClassLoader, "", "controllers.AdminDynDNS", "update", Seq(classOf[Long]), "POST", """""", _prefix + """admin/dyndns/$id<[^/]+>""")
)
                      

// @LINE:27
def startJob(jobName:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.AdminDynDNS.startJob(jobName), HandlerDef(this.getClass.getClassLoader, "", "controllers.AdminDynDNS", "startJob", Seq(classOf[String]), "POST", """""", _prefix + """admin/jobs/$jobName<[^/]+>/start""")
)
                      

// @LINE:28
def index(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.AdminDynDNS.index(), HandlerDef(this.getClass.getClassLoader, "", "controllers.AdminDynDNS", "index", Seq(), "GET", """""", _prefix + """admin/dyndns""")
)
                      

}
                          

// @LINE:6
class ReverseApplication {


// @LINE:6
def index(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.Application.index(), HandlerDef(this.getClass.getClassLoader, "", "controllers.Application", "index", Seq(), "GET", """ Home page""", _prefix + """""")
)
                      

}
                          

// @LINE:26
class ReverseAdminAccounts {


// @LINE:26
def index(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.AdminAccounts.index(), HandlerDef(this.getClass.getClassLoader, "", "controllers.AdminAccounts", "index", Seq(), "GET", """""", _prefix + """admin/accounts""")
)
                      

}
                          

// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
class ReverseDnsUpdate {


// @LINE:11
def update(k:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.DnsUpdate.update(k), HandlerDef(this.getClass.getClassLoader, "", "controllers.DnsUpdate", "update", Seq(classOf[String]), "GET", """""", _prefix + """update/$k<[^/]+>""")
)
                      

// @LINE:13
def updateIp(k:String, ip:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.DnsUpdate.updateIp(k, ip), HandlerDef(this.getClass.getClassLoader, "", "controllers.DnsUpdate", "updateIp", Seq(classOf[String], classOf[String]), "GET", """""", _prefix + """update/$k<[^/]+>""")
)
                      

}
                          

// @LINE:19
// @LINE:18
// @LINE:17
class ReverseAdminResourceRecords {


// @LINE:19
def save(name:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.AdminResourceRecords.save(name), HandlerDef(this.getClass.getClassLoader, "", "controllers.AdminResourceRecords", "save", Seq(classOf[String]), "POST", """""", _prefix + """admin/domains/$name<[^/]+>/rrs""")
)
                      

// @LINE:18
def delete(name:String, id:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.AdminResourceRecords.delete(name, id), HandlerDef(this.getClass.getClassLoader, "", "controllers.AdminResourceRecords", "delete", Seq(classOf[String], classOf[Long]), "POST", """""", _prefix + """admin/domains/$name<[^/]+>/rrs/$id<[^/]+>/delete""")
)
                      

// @LINE:17
def edit(name:String, id:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.AdminResourceRecords.edit(name, id), HandlerDef(this.getClass.getClassLoader, "", "controllers.AdminResourceRecords", "edit", Seq(classOf[String], classOf[Long]), "GET", """""", _prefix + """admin/domains/$name<[^/]+>/rrs/$id<[^/]+>/edit""")
)
                      

}
                          

// @LINE:10
// @LINE:9
// @LINE:8
// @LINE:7
class ReverseDynDns {


// @LINE:8
def hosts(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.DynDns.hosts(), HandlerDef(this.getClass.getClassLoader, "", "controllers.DynDns", "hosts", Seq(), "GET", """""", _prefix + """dyndns/hosts""")
)
                      

// @LINE:10
def save(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.DynDns.save(), HandlerDef(this.getClass.getClassLoader, "", "controllers.DynDns", "save", Seq(), "POST", """""", _prefix + """dyndns""")
)
                      

// @LINE:9
def delete(id:Long): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.DynDns.delete(id), HandlerDef(this.getClass.getClassLoader, "", "controllers.DynDns", "delete", Seq(classOf[Long]), "POST", """""", _prefix + """dyndns/$id<[^/]+>/delete""")
)
                      

// @LINE:7
def index(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.DynDns.index(), HandlerDef(this.getClass.getClassLoader, "", "controllers.DynDns", "index", Seq(), "GET", """""", _prefix + """dyndns""")
)
                      

}
                          

// @LINE:23
// @LINE:22
// @LINE:21
// @LINE:20
class ReverseAdminDomains {


// @LINE:22
def show(name:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.AdminDomains.show(name), HandlerDef(this.getClass.getClassLoader, "", "controllers.AdminDomains", "show", Seq(classOf[String]), "GET", """""", _prefix + """admin/domains/$name<[^/]+>""")
)
                      

// @LINE:21
def save(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.AdminDomains.save(), HandlerDef(this.getClass.getClassLoader, "", "controllers.AdminDomains", "save", Seq(), "POST", """""", _prefix + """admin/domains""")
)
                      

// @LINE:20
def index(): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.AdminDomains.index(), HandlerDef(this.getClass.getClassLoader, "", "controllers.AdminDomains", "index", Seq(), "GET", """""", _prefix + """admin/domains""")
)
                      

// @LINE:23
def inquire(name:String): play.api.mvc.HandlerRef[_] = new play.api.mvc.HandlerRef(
   controllers.AdminDomains.inquire(name), HandlerDef(this.getClass.getClassLoader, "", "controllers.AdminDomains", "inquire", Seq(classOf[String]), "POST", """""", _prefix + """admin/domains/$name<[^/]+>/inquire""")
)
                      

}
                          
}
        
    